#include "mapitemnongeogeometrybase.h"


void MapItemNonGeoGeometryBase::setUnits(Units u) {
	m_units = u;
	updateParent();
}


void MapItemNonGeoGeometryBase::zoomChanged() {
	px2m = scalePx2M(norm_pos);
}


double MapItemNonGeoGeometryBase::unitScale() const {
	switch (m_units) {
	case Meters: return px2m;
	default: break;
	}
	return 1.;
}
